> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/publishers/pt/vast/custom-tracking-urls.md).

# URLs de rastreamento personalizadas VAST

## Definição

O Anúncio Wrapper pode incluir qualquer número de URLs de rastreamento para permitir que campanhas sejam servidas a partir de uma resposta InLine, mas rastreadas separadamente da Impressão. Também pode incluir elementos de Rastreamento para rastrear separadamente visualizações ou eventos Linear ou NonLinear. O servidor que fornece a resposta do Anúncio Wrapper pode não saber exatamente quais elementos criativos serão entregues a jusante em anúncios InLine; neste caso, o Wrapper deve incluir marcadores de posição para o conjunto máximo de Criativos que poderiam ser reproduzidos no Reprodutor de Vídeo.

Os URLs de rastreamento personalizados têm 2 parâmetros:

* `event` O nome do evento a rastrear. O `creativeView` deve ser sempre solicitado quando presente.
  * O mesmo evento pode ser adicionado várias vezes, mas cada um deve ter **URI único**.
* `url` URI para rastrear vários eventos durante a reprodução.
  * O mesmo URI pode ser adicionado várias vezes, mas cada um deve ter **evento único**.
  * O URL deve ter apenas ***https*** protocolo.

## Exemplo

```xml
<Tracking id="custom_1" event="creativeView"><![CDATA[https://mytrackingsolution.com/vregister.php?a=vview&tracking_event=creativeView&idzone=22222&data=abcd]]></Tracking>
```

## Eventos de rastreamento suportados `tracking_event` para `Criativo` > `Linear` > `TrackingEvents` > `Rastreamento` na tag VAST (link) ou na tag wrapper VAST (link)

| Evento           | Explicação                                                   |
| ---------------- | ------------------------------------------------------------ |
| creativeView     | Disparado quando o criativo é exibido.                       |
| start            | Disparado quando o anúncio Linear começa a ser reproduzido.  |
| midpoint         | Disparado quando o anúncio Linear atinge o ponto médio.      |
| firstQuartile    | Disparado quando o anúncio Linear atinge o primeiro quartil. |
| thirdQuartile    | Disparado quando o anúncio Linear atinge o terceiro quartil. |
| complete         | Disparado quando o anúncio Linear atinge o ponto final.      |
| mute             | Disparado quando o anúncio Linear é silenciado.              |
| unmute           | Disparado quando o anúncio Linear deixa de estar silenciado. |
| pause            | Disparado quando o anúncio Linear é pausado.                 |
| rewind           | Disparado quando o anúncio Linear é retrocedido.             |
| resume           | Disparado quando o anúncio Linear é retomado.                |
| fullscreen       | Disparado quando o anúncio Linear está em ecrã inteiro.      |
| expand           | Disparado quando o anúncio Linear é expandido.               |
| collapse         | Disparado quando o anúncio Linear é recolhido.               |
| acceptInvitation | Disparado quando o anúncio Linear é aceite.                  |
| close            | Disparado quando o anúncio Linear é fechado.                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.exoclick.com/publishers/pt/vast/custom-tracking-urls.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
